<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="#F6F6F6"
    android:gravity="center_horizontal"
    android:orientation="vertical">


    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="50dp"
        android:orientation="horizontal">

        <ImageView
            android:id="@+id/tv_title_back"
            android:layout_width="50dp"
            android:layout_height="50dp"
            android:layout_centerVertical="true"
            android:layout_gravity="center_vertical"
            android:background="?android:selectableItemBackground"
            android:padding="@dimen/dp_13"
            android:src="@drawable/ic_arrow_back_black_24dp"
            />

        <TextView
            android:id="@+id/tv_title"
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:layout_weight="1"
            android:ellipsize="marquee"
            android:gravity="center"
            android:maxWidth="180dp"
            android:singleLine="true"
            android:text="地点搜索"
            android:textColor="@color/black"
            android:textSize="@dimen/sp_16"
            android:textStyle="bold" />

        <TextView
            android:id="@+id/tv_right"
            android:layout_width="50dp"
            android:layout_height="50dp"
            android:gravity="center"
            android:text="确定"
            android:textColor="@color/black"
            android:textSize="15sp"
            android:visibility="invisible"></TextView>


    </LinearLayout>


    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="50dp"
        android:layout_marginLeft="12dp"
        android:layout_marginRight="12dp"
        android:focusable="true"
        android:focusableInTouchMode="true"
        android:gravity="center_vertical"
        android:orientation="horizontal">


        <LinearLayout
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:background="@drawable/gaode_stock_white"
            android:gravity="center_vertical"
            android:orientation="horizontal"
            android:paddingLeft="10dp"
            android:paddingRight="10dp">

            <ImageView
                android:layout_width="12dp"
                android:layout_height="12dp"
                android:src="@drawable/gaode_serch">

            </ImageView>

            <EditText
                android:id="@+id/et_search"
                android:layout_width="0dp"
                android:layout_height="34dp"
                android:layout_centerHorizontal="true"
                android:layout_weight="1"
                android:background="@drawable/bg_search_shape_44"
                android:hint="请输入地点"
                android:imeOptions="actionDone"
                android:paddingLeft="15dp"
                android:paddingRight="10dp"
                android:singleLine="true"
                android:textColor="#2F2F31"
                android:textColorHint="#929390"
                android:textSize="14sp"
                />


            <ImageView
                android:id="@+id/iv_delete"
                android:layout_width="14dp"
                android:layout_height="14dp"
                android:layout_marginLeft="10dp"
                android:src="@drawable/gaode_delete">

            </ImageView>

        </LinearLayout>

        <TextView
            android:id="@+id/tv_title_right"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginLeft="7dp"
            android:gravity="center|left"
            android:text="搜索"
            android:textColor="#2F2F31"
            android:textSize="15sp">

        </TextView>


    </LinearLayout>



    <com.quansu.gaode.activity.AutoListView
        android:id="@+id/lv_list"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:cacheColorHint="#00000000"
        android:listSelector="#00000000"
        android:visibility="visible">
    </com.quansu.gaode.activity.AutoListView>

    <TextView
        android:id="@+id/tv_no_data"
        style="@style/txt_style"
        android:layout_marginTop="30dp"
        android:text="未能查找到相关地点"
        android:visibility="gone" />
    <LinearLayout
        android:id="@+id/ll_loading"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:gravity="center_horizontal"
        android:orientation="vertical"
        android:visibility="gone">
        <ProgressBar
            android:layout_width="25dp"
            android:layout_height="25dp" />
        <TextView
            style="@style/txt_style3"
            android:text="正在查找..."
            android:visibility="visible" />
    </LinearLayout>

</LinearLayout>
